# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_StackOfGeneralRelation Class Reference

`#include <ExprIntrp_StackOfGeneralRelation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ExprIntrp_StackOfGeneralRelation ()
Standard_EXPORT const ExprIntrp_StackOfGeneralRelation & | Assign (const ExprIntrp_StackOfGeneralRelation &Other)
const ExprIntrp_StackOfGeneralRelation & | operator= (const ExprIntrp_StackOfGeneralRelation &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const Handle_Expr_GeneralRelation & | Top () const
Standard_EXPORT void | Push (const Handle(Expr_GeneralRelation)&I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~ExprIntrp_StackOfGeneralRelation ()
Standard_EXPORT Handle_Expr_GeneralRelation & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | ExprIntrp_StackOfGeneralRelation (const ExprIntrp_StackOfGeneralRelation &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_StackOfGeneralRelation::ExprIntrp_StackOfGeneralRelation | ( |  | ) |

ExprIntrp_StackOfGeneralRelation::~ExprIntrp_StackOfGeneralRelation | ( |  | ) | `[inline]`

Standard_EXPORT ExprIntrp_StackOfGeneralRelation::ExprIntrp_StackOfGeneralRelation | ( | const ExprIntrp_StackOfGeneralRelation & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const ExprIntrp_StackOfGeneralRelation& ExprIntrp_StackOfGeneralRelation::Assign | ( | const ExprIntrp_StackOfGeneralRelation & | Other | ) |

Standard_EXPORT Handle_Expr_GeneralRelation& ExprIntrp_StackOfGeneralRelation::ChangeTop | ( |  | ) |

Standard_EXPORT void ExprIntrp_StackOfGeneralRelation::Clear | ( |  | ) |

Standard_Integer ExprIntrp_StackOfGeneralRelation::Depth | ( |  | ) | const

Standard_Boolean ExprIntrp_StackOfGeneralRelation::IsEmpty | ( |  | ) | const

void ExprIntrp_StackOfGeneralRelation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ExprIntrp_StackOfGeneralRelation::operator new | ( | size_t | size | ) | `[inline]`

void* ExprIntrp_StackOfGeneralRelation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const ExprIntrp_StackOfGeneralRelation& ExprIntrp_StackOfGeneralRelation::operator= | ( | const ExprIntrp_StackOfGeneralRelation & | Other | ) | `[inline]`

Standard_EXPORT void ExprIntrp_StackOfGeneralRelation::Pop | ( |  | ) |

Standard_EXPORT void ExprIntrp_StackOfGeneralRelation::Push | ( | const Handle(Expr_GeneralRelation)& | I | ) |

Standard_EXPORT const Handle_Expr_GeneralRelation& ExprIntrp_StackOfGeneralRelation::Top | ( |  | ) | const

## Field Documentation

Standard_Integer ExprIntrp_StackOfGeneralRelation::myDepth `[private]`

Standard_Address ExprIntrp_StackOfGeneralRelation::myTop `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_StackOfGeneralRelation.hxx